Package pyxmpp :: Package sasl :: Module external :: Class ExternalClientAuthenticator

[hide private]

# Class ExternalClientAuthenticator

source code

    core.ClientAuthenticator --+
                               |
                              ExternalClientAuthenticator

Provides client-side External SASL (TLS-Identify) authentication.

Instance Methods | [hide private]

__init__(self, password_manager) Initialize a ClientAuthenticator object. | source code

Response or Failure

start(self, username, authzid) Start the authentication process. | source code

Success

finish(self, data) Handle authentication success information from the server. | source code

Inherited from `core.ClientAuthenticator`: `challenge`

Method Details | [hide private]

### __init__(self, password_manager)
(Constructor)

source code

Initialize a ClientAuthenticator object.

Parameters:
  - `password_manager` - : a password manager providing authentication credentials.
Overrides: core.ClientAuthenticator.__init__
  (inherited documentation)

### start(self, username, authzid)

source code

Start the authentication process.

Parameters:
  - `username` - : the username (authentication id).
  - `authzid` - : the authorization id requester.
Returns: Response or Failure
  the initial response to send to the server or a failuer indicator.
Overrides: core.ClientAuthenticator.start
  (inherited documentation)

### finish(self, data)

source code

Handle authentication success information from the server.

Parameters:
  - `data` (: `str`) - : the optional additional data returned with the success.
Returns: Success
  a success indicator.
Overrides: core.ClientAuthenticator.finish